[SCM] exiv2 packaging branch, master, updated. debian/0.25-3.1-3734-gdcbc29a

Maximiliano Curia maxy at moszumanska.debian.org
Thu Jul 13 17:44:22 UTC 2017


Gitweb-URL: http://git.debian.org/?p=pkg-kde/kde-extras/exiv2.git;a=commitdiff;h=3c08694

The following commit has been merged in the master branch:
commit 3c086948d18f96ddcd6afd6e4e5ca667d4ff3761
Author: Mahesh <maheshmhegade at gmail.com>
Date:   Tue Sep 16 12:12:50 2014 +0000

    update test script to pass testv
---
 test/video-test.sh | 51 +++++++++++++++++++++++++++++----------------------
 1 file changed, 29 insertions(+), 22 deletions(-)

diff --git a/test/video-test.sh b/test/video-test.sh
index fa14aaf..4f4dde9 100755
--- a/test/video-test.sh
+++ b/test/video-test.sh
@@ -8,35 +8,42 @@
 
 source ./functions.source
 
-##
-# set up output and reference file
-out=$(real_path "$testdir/$this.out")
-copyTestFile       "video/$this.out"
-
 (	cd "$testdir"
 
-	videos=($(copyVideoFiles))
-	for video in ${videos[*]}; do
-	    printf "." >&3
-    	echo
-        echo "-----> $video <-----"
-    	echo
-        echo "Command: exiv2 -u -pa $video"
-        # run command                 | ignore binary and no Date nor NumOfColours tags
-	    runTest exiv2 -u -pa "$video" | sed -E -e 's/\d128-\d255/_/g' | grep -a -v -e Date -v -e NumOfC
+    for file in ../data/video/video-*; do
+        video="`basename "$file"`"
+		if [ $video != "video-test.out" ] ; then
+
+	        printf "." >&3
+
+    	    echo
+        	echo "-----> $video <-----"
+
+	        copyTestFile "video/$video" "$video"
+
+    	    echo
+        	echo "Command: exiv2 -u -pa $video"
+	        runTest exiv2 -u -pa "$video"
+    	    exitcode="$?"
+        	echo "Exit code: $exitcode"
+
+	        if [ "$exitcode" -ne 0 -a "$exitcode" -ne 253 ] ; then
+    	        continue
+        	fi
+		fi
     done
 
-) 3>&1 2>&1 > "$out" 
+) 3>&1 > "$testdir/video-test.out" 2>&1
+
+echo "."
 
 # ----------------------------------------------------------------------
 # Result
-diffCheck "$out" "$testdir/$datadir/video/$this.out" 
-
-if [ $errors ]; then
-	echo -e $errors 'test case(s) failed!'
-else
-	echo -e "all testcases passed."
+if ! diff   -q $diffargs "$testdir/$datadir/video/video-test.out" "$testdir/video-test.out" ; then
+    diff -u -a $diffargs "$testdir/$datadir/video/video-test.out" "$testdir/video-test.out"
+    exit 1
 fi
+echo "All testcases passed."
 
 # That's all Folks!
-##
+##
\ No newline at end of file

-- 
exiv2 packaging



More information about the pkg-kde-commits mailing list